<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLString.php" );
include_once("auth.php");

db_connect($db_host, $db_user, $db_pass);

$id = safe_query( "select admin.mysql as mysql, kunden.maxmysql as maxmysql from admin, kunden where kunden.kunde = ? ", TRUE, new SQLString( $PHP_AUTH_USER ) );
$werte = db_fetch_array($id);
if (($werte["mysql"] == 0) || ($werte["maxmysql"] == 0))
	{
	 ## herausfinden, ob mysql datenbanken genutzt werden
	 $id = safe_query( "select kunde from mysql_datenbanken where kunde = ? ", TRUE, new SQLString( $PHP_AUTH_USER ) );
	 if (db_num_rows($id) < 1)
		{
		 header("Location: ./nodb.php");
		 db_close();
		 exit();
		}
	}

$id = safe_query( "select mysqlshelluser, mysqlshellpasswort, mysqlshellhost, phpmyadmin, phpmyadminpfad from admin", TRUE );
$werte = db_fetch_array($id);
$mysqlshelluser = $werte["mysqlshelluser"];
$mysqlshellpasswort = $werte["mysqlshellpasswort"];
$mysqlshellhost = $werte["mysqlshellhost"];
$phpmyadmin = $werte["phpmyadmin"];
$phpmyadminpfad = $werte["phpmyadminpfad"];
?>
<HTML>
<HEAD>
<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>
<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>
</HEAD>

<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">
<br><? include("../fehler.inc.php"); ?>
<script>
function doChange()
{
document.forms[0].submit();
}
</script>
<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
<tr>
    <TD> 
      <P><<? echo ltext("dbst_title"); ?></P>
      <P><? echo ltext("dbst_desc1"); ?><? if ($phpmyadmin == 1) { ?><? echo ltext("dbst_desc2"); ?><? } ?>
        </P>
<? if (($mysqlshellhost != "") && ($mysqlshellpasswort != "") && ($mysqlshelluser != "")) { ?>
	  <p><? echo ltext("dbst_desc3"); ?></p>
      <blockquote> 
        <table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
          <tr > 
            <td ><? echo ltext("dbst_cell_user"); ?>&nbsp;</td>
            <td ><b>
              <? echo $mysqlshelluser; ?>
              </b></td>
          </tr>
          <tr > 
            <td ><? echo ltext("dbst_cell_pass"); ?>&nbsp;</td>
            <td >
              <? echo $mysqlshellpasswort; ?>
              </td>
          </tr>
          <tr > 
            <td ><? echo ltext("dbst_cell_host"); ?></td>
            <td >
              <? echo $mysqlshellhost; ?>
              </td>
          </tr>
        </table>
      </blockquote>
	  <? } ?>
    </TD>
  </TR>
   
</TABLE>
<P>&nbsp;</P>
</BODY>
</HTML>
<?
db_close();
?>
